/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.management.model;

import java.util.*;
import javax.management.ObjectName;

public class JDBCResourceMdl extends J2EEResourceMdl {

    private static String MANAGED_OBJECT_TYPE = "JDBCResource";
        
    public JDBCResourceMdl(String name) {
        super(name);
    }
    public JDBCResourceMdl(String name, String serverName) {
        super(name,serverName);
    }

    //constructor for generic instantiation from the MBeanRegistry
    public JDBCResourceMdl(String[] location) {
        this(location[2], location[1]);
    }
    
    public String[] getjdbcDataSources() {

        Set s = findNames("j2eeType=JDBCDataSource,JDBCResource="+getname());
        Iterator it = s.iterator();
        String [] ret = new String[s.size()];
        int i =0;
        while(it.hasNext()) {
            ret[i++] = ((ObjectName)it.next()).toString();
        }
        return ret;
    }
    
    /**
     * The type of the J2EEManagedObject as specified by JSR77. The class that implements a specific type must override this method and return the appropriate type string.
     */
    public String getj2eeType() {
        return MANAGED_OBJECT_TYPE;
    }
   
}
